Subject: Significance of T-MAX for Retransmissions

From: Prashant Jain <[email-masked]>
Date: Sat, 8 Jul 2000 18:13:13 +0530

Hi all,

     As per section D.1.5, T-MAX is obtained by subtracting maximum network
propagation delay from the LONG TIMER value. And the significance of T-MAX is
derived from the fact that the maximum delay of retransmissions for any
transaction should always be bounded by T-MAX expalined in the same section.
     Moreover, as per section D.1.3, for each Retry of Transaction, the
Retransmission Timer value is bounded and the suggested value is given to be 4
seconds.

     Now the query is what are we achieving by using two upper bounds for the
same motive since T-MAX provides a cummulative bound for all the retransmissions
and the same can be estimated by multiplying the number of retries with the
upper bound value for each retry.

Please do clarify.

Prashant Jain
VOIP Group, Hughes Software Systems.